calibrations:
  bias:
    obsTimeName: dayObs
    columns:
    - dayObs
    - detector
    template: bias/%(calibDate)s/bias-det%(detector)03d_%(calibDate)s.fits

  dark:
    obsTimeName: dayObs
    columns:
    - dayObs
    - detector
    template: dark/%(calibDate)s/dark-det%(detector)03d_%(calibDate)s.fits

  flat:
    obsTimeName: dayObs
    columns:
    - dayObs
    - detector
    - filter
    template: flat/%(filter)s/%(calibDate)s/flat_%(filter)s-det%(detector)03d_%(calibDate)s.fits

datasets:
  raw_hdu:
    template: raw/%(dayObs)s/%(expId)013d-det%(detector)03d.fits[0]
  apPipe_metadata:
    template: apPipe_metadata/%(expId)013d-%(filter)s/apPipeMetadata_%(expId)013d-%(filter)s-%(detectorName)s-det%(detector)03d.yaml
  runIsr_metadata:
    template: runIsr_metadata/%(expId)013d-%(filter)s/runIsrMetadata_%(expId)013d-%(filter)s-%(detectorName)s-det%(detector)03d.yaml
  brighterFatterKernel:
    template: calibrations/bfKernel-%(detectorName)s-det%(detector)03d.pkl
  linearizeLut:
    template: calibrations/linearizers/linearize-lut-det%(detector)03d_%(calibDate)s.fits
  linearizeSquared:
    template: calibrations/linearizers/linearize-squared-det%(detector)03d_%(calibDate)s.fits
  linearizePolynomial:
    template: calibrations/linearizers/linearize-polynomial-det%(detector)03d_%(calibDate)s.fits
  icSrc:
    template: icSrc/%(expId)013d-%(filter)s/icSrc_%(expId)013d-%(filter)s-det%(detector)03d.fits
  src:
    template: src/%(expId)013d-%(filter)s/src_%(expId)013d-%(filter)s-det%(detector)03d.fits
  srcMatch:
    template: srcMatch/%(expId)013d-%(filter)s/srcMatch_%(expId)013d-%(filter)s-det%(detector)03d.fits
  calexpBackground:
    template: calexp/%(expId)013d-%(filter)s/bkgd_%(expId)013d-%(filter)s-det%(detector)03d.fits
  processCcd_metadata:
    template: processCcd_metadata/%(expId)013d-%(filter)s/processCcdMetadata_%(expId)013d-%(filter)s-det%(detector)03d.yaml
  icExpBackground:
    template: icExp/%(expId)013d-%(filter)s/bkgd_%(expId)013d-%(filter)s-det%(detector)03d.fits

exposures:
  _raw:
    template: raw/%(dayObs)s/%(expId)013d-det%(detector)03d.fits[0]
  raw_amp:
    template: raw/%(dayObs)s/%(expId)013d-det%(detector)03d.fits[%(channel)d]
  postISRCCD:
    template: postISRCCD/%(dayObs)s/postISRCCD_%(expId)013d-%(filter)s-det%(detector)03d.fits
  calexp:
    template: calexp/%(dayObs)s/calexp_%(expId)013d-%(filter)s-det%(detector)03d.fits
  icExp:
    template: icExp/%(expId)013d-%(filter)s/icExp_%(expId)013d-%(filter)s-det%(detector)03d.fits
